<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1996</year><year>2009</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      The contents of this file are subject to the Erlang Public License,
      Version 1.1, (the "License"); you may not use this file except in
      compliance with the License. You should have received a copy of the
      Erlang Public License along with this software. If not, it can be
      retrieved online at http://www.erlang.org/.
    
      Software distributed under the License is distributed on an "AS IS"
      basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
      the License for the specific language governing rights and limitations
      under the License.
    
    </legalnotice>

    <title>snmp_standard_mib</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date></date>
    <rev></rev>
    <file>snmp_standard_mib.xml</file>
  </header>
  <module>snmp_standard_mib</module>
  <modulesummary>Instrumentation Functions for STANDARD-MIB and SNMPv2-MIB</modulesummary>
  <description>
    <p>The module <c>snmp_standard_mib</c> implements the instrumentation functions for the
      STANDARD-MIB and SNMPv2-MIB, and functions for configuring the database.
      </p>
    <p>The configuration files are described in the SNMP User's Manual.</p>
  </description>
  <funcs>
    <func>
      <name>configure(ConfDir) -> void()</name>
      <fsummary>Configure the STANDARD-MIB and SNMPv2-MIB</fsummary>
      <type>
        <v>ConfDir = string()</v>
      </type>
      <desc>
        <p>This function is called from the supervisor at system
          start-up.
          </p>
        <p>Inserts all data in the configuration files into the
          database and destroys all old rows with StorageType
          <c>volatile</c>.  The rows created from the configuration file
          will have StorageType <c>nonVolatile</c>.
          </p>
        <p>All <c>snmp</c> counters are set to zero.
          </p>
        <p>If an error is found in the configuration file, it is
          reported using the function <c>config_err/2</c> of the error 
          report module, and the function fails with the reason 
          <c>configuration_error</c>.
          </p>
        <p><c>ConfDir</c> is a string which points to the directory
          where the configuration files are found.
          </p>
        <p>The configuration file read is: <c>standard.conf</c>.
          </p>
      </desc>
    </func>
    <func>
      <name>inc(Name) -> void()</name>
      <name>inc(Name, N) -> void()</name>
      <fsummary>Increment a variable in the MIB</fsummary>
      <type>
        <v>Name = atom()</v>
        <v>N = integer()</v>
      </type>
      <desc>
        <p>Increments a variable in the MIB with <c>N</c>, or one if
          <c>N</c> is not specified.</p>
      </desc>
    </func>
    <func>
      <name>reconfigure(ConfDir) -> void()</name>
      <fsummary>Configure the STANDARD-MIB and SNMPv2-MIB</fsummary>
      <type>
        <v>ConfDir = string()</v>
      </type>
      <desc>
        <p>Inserts all data in the configuration files into the
          database and destroys all old data, including the rows with
          StorageType <c>nonVolatile</c>.  The rows created from the
          configuration file will have StorageType <c>nonVolatile</c>.
          </p>
        <p>Thus, the data in the SNMP-STANDARD-MIB and SNMPv2-MIB,
          after this function has been called, is from the
          configuration files.
          </p>
        <p>All <c>snmp</c> counters are set to zero.
          </p>
        <p>If an error is found in the configuration file, it is
          reported using the function <c>config_err/2</c> of the error
          report module, and the function fails with the reason 
          <c>configuration_error</c>.
          </p>
        <p><c>ConfDir</c> is a string which points to the directory
          where the configuration files are found.
          </p>
        <p>The configuration file read is: <c>standard.conf</c>.
          </p>
      </desc>
    </func>
    <func>
      <name>reset() -> void()</name>
      <fsummary>Reset all <c>snmp</c>counters to 0</fsummary>
      <desc>
        <p>Resets all <c>snmp</c> counters to 0.</p>
      </desc>
    </func>
    <func>
      <name>sys_up_time() -> Time</name>
      <fsummary>Get the system up time</fsummary>
      <type>
        <v>Time = int()</v>
      </type>
      <desc>
        <p>Gets the system up time in hundredth of a second.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

